<?php
// This is a SPIP language file  --  Ceci est un fichier langue de SPIP

if (!defined('_ECRIRE_INC_VERSION')) return;
 
$GLOBALS[$GLOBALS['idx_lang']] = array(


	'oui' => 'Oui',
	'non' => 'Non',

	'label_activer_orgchartjs_privee' => 'Interface privée',
	'label_activer_orgchartjs_publique' => 'Interface publique',
	'label_desactiver' => 'Désactiver',
	'label_activer' => 'Activer',
	'label_disponibilite_orgchartjs' => 'Disponibilité de la librairie',
	'titre_page_configurer_orgchartjs' => 'Configuration d’Orgchart.js',
	'titre_orgchartjs' => 'Orgchart.js',
	'explication_activer_orgchartjs_privee' => 'Mettre en place les feuilles de style et les javascripts d’OrgChart sur la partie privée de SPIP.',
	'explication_activer_orgchartjs_publique' => 'Mettre en place les feuilles de style et les javascripts d’OrgChart sur la partie publique de SPIP.',
	'label_hierarchie_orgchartjs' => 'Hiérarchie graphique',
	'explication_hierarchie_orgchartjs' => 'Substituer la présentation hiérarchique textuelle à celle graphique lorsque possible (si le squelette prive/squelettes/hierarchie/dist.html n’a pas été surchargé).',
	
     // D
     
     'demo_json' => '<p><a href="https://dabeng.github.io/OrgChart/">Org Chart</a> est un plugin pour Jquery. <a href="https://jquery.com">Jquery</a> est <a href="https://plugins.spip.net/jquery.html">installé de base</a> sur SPIP. SPIP vous propose une gestion d’objet éditoriaux valorisant leur hiérarchie. Cela peut être un article et son imbrication dans des rubriques, mais plus encore tout autre objet éditorial.</p><p>Le présent plugin pour SPIP vous permet d’ajouter les facilitées de la librairie OrgChart pour présenter une hiérarchie sous la forme d’un organigramme graphique très évolué et dynamique.</p>',
     'demo_spip' => 'II - Utilisation simplifiée par un #MODELE de SPIP',
     'demo_spip_explication' => '<p>Un modèle est un petit squelette SPIP qui décrit un fragment de HTML facile à insérer dans un autre squelette ou dans le texte d’un article<br />(voir : <a href="https://www.spip.net/fr_article3454.html">https://www.spip.net/fr_article3454.html</a>).</p><p>Le plugin Orgchart.js vous propose un modele qui embarque :<br /><ul><li>1°) L’appel en javascript de la librairie ;</li><li>2°) L’organisation des données en utilisant les boucles de SPIP.</li></ul></p>',
     'demo_spip_ligne' => 'a) La ligne hiérarchique : #MODELE{ocjs_arbo}',
     'demo_spip_objet' => 'Objet :',
     'demo_spip_ligne_objet' => 'Le modèle placé dans une boucle, permet d’afficher graphiquement la ligne hiérarchique vers un objet id.',
     'demo_spip_exemple' => 'Exemple :',
     'demo_spip_exemple_ligne_squel' => 'Dans cette démonstration, nous affichons (ci-contre à gauche) la ligne hiérarchique de l’article n°@id@ de votre site. La façon dont nous avons procédé est indiquée ci-dessous.',
     'demo_spip_code' => 'Code :',
     'demo_spip_utilisation' => 'Utilisation possible :',
     'demo_spip_utilisation_ligne2' => 'En remplacement de la partie affichant l’arborescence de façon textuelle :',
     'demo_spip_utilisation_ligne3' => 'En ajout sur la partie latérale :',
     'demo_spip_utilisation_ligne' => 'La visualisation graphique de cette hiérarchie peut replacer la visualisation textuelle de l’arborescence menant à l’article. Pour ce faire, il convient de modifier le squelette article.html en retirant l’affichage textuel au dessus de l’article (p class="arbo") et en permettant l’affichage graphique sur son côté (div class="aside"). Une façon de faire est proposée ci-dessous.',
     'demo_json_standard' => 'I - Utilisation standard en Javascript',
     'demo_json_standard_oeuvre' => 'a) Mise en oeuvre',
     'demo_json_standard_options' => 'b) Options lors de l’instantiation',
     'demo_json_standard_oeuvre_explication' => '<p>Le fonctionnement natif de la librairie est très simple : Un javascript appelle la librairie Orgchart.js pour met en forme (de tableau) un flux (de données) json propulsé dans une (balise HTML) DIV.</p><p>L’examen de cet exemple vous permettra de visualiser ce fonctionnement (A cette fin, vous pouvez faire un clic droit et solliciter dans le menu contextuel l’affichage du code source de la page).</p><p>La DIV porte l’identifiant <em>chart-container</em>. Le javascript est entre les balises SCRIPT.</p>',
     'demo_json_standard_explication' => '<p>Il n’est aucunement nécessaire d’installer la librairie et le CSS pour utiliser Org Chart. Le plugin Orgchart.js s’en occupe aussi bien dans la partie publique que la partie privée de SPIP. Vous pouvez désactiver ces installations dans la configuration du plugin.',
     'demo_titre' => 'Démonstration Orgchart.js',
     'demo_spip_options' => 'b) Options du #MODELE',
     
     
	'demo_options_data' => 'data',
	'demo_options_datat' => 'json ou chaîne de caractères',
	'demo_options_datar' => 'oui',
	'demo_options_datadef' => ' ',
	'demo_options_datades' => 'Données utilisée pour construire l’organigramme. Il peut s’agir d’un objet json ou d’une chaîne de caractères (string) contenant un URL auquel la requête ajax sera envoyée. Ce sont ces données qui seront injectées dans la DIV conteneur portant la class "orgchart" où sera construit l’organigramme.',
	'demo_options_name' => 'Nom',
	'demo_options_type' => 'Type',
	'demo_options_required' => 'Requis',
	'demo_options_default' => 'Défaut',
	'demo_options_description' => 'Description',
	'demo_options_pan' => 'pan',
	'demo_options_pant' => 'Booléen',
	'demo_options_panr' => 'non',
	'demo_options_pandef' => 'faux',
	'demo_options_pandes' => 'Si cette option est activée, l’utilisateur pourra glisser déposer des éléments de l’organigramme.',
	'demo_options_zoom' => 'zoom',
	'demo_options_zoomt' => 'Booléen',
	'demo_options_zoomr' => 'non',
	'demo_options_zoomdef' => 'faux',
	'demo_options_zoomdes' => 'Si cette option est activée, l’utilisateur pourra agrandir et réduire l’organigramme avec la molette de sa souris.',
	'demo_options_zoomi' => 'zoominLimit',
	'demo_options_zoomit' => 'Entier ou virgule flottante (avec un point)',
	'demo_options_zoomir' => 'non',
	'demo_options_zoomidef' => '7',
	'demo_options_zoomides' => 'Si cette option est activée, l’utilisateur pourra agrandir l’organigramme dans la limite indiquée.',
	'demo_options_zoomo' => 'zoomoutLimit',
	'demo_options_zoomot' => 'Entier ou virgule flottante (avec un point)',
	'demo_options_zoomor' => 'non',
	'demo_options_zoomodef' => '0.5',
	'demo_options_zoomodes' => 'Si cette option est activée, l’utilisateur pourra réduire l’organigramme dans la limite indiquée.',
	'demo_options_dir' => 'direction',
	'demo_options_dirt' => 'Chaîne de caractères (t2b|b2t|l2r|r2l)',
	'demo_options_dirr' => 'non',
	'demo_options_dirdef' => 't2b',
	'demo_options_dirdes' => 't2b (en anglais, "top to bottom") présente l’organigramme de haut en bas.<br />b2t (en anglais, "bottom to top") présente l’organigramme de bas en haut.<br />l2r (en anglais, "left to right") présente l’organigramme de gauche à droite.<br />r2l (en anglais, "right to left") présente l’organigramme de droite à gauche.',
	'demo_options_vertical' => 'verticalLevel',
	'demo_options_verticalt' => 'Entier (>= 2)',
	'demo_options_verticalr' => 'non',
	'demo_options_verticaldef' => ' ',
	'demo_options_verticaldes' => 'Les utilisateurs peuvent utiliser cette option pour aligner les cases verticalement à partir du niveau spécifié.',
	'demo_options_tsr' => 'toggleSiblingsResp',
	'demo_options_tsrt' => 'Booléen',
	'demo_options_tsrr' => 'non',
	'demo_options_tsrdef' => 'true',
	'demo_options_tsrdes' => 'Cette option permet aux utilisateurs peuvent afficher / masquer les cases en proximité en cliquant sur la flèche gauche / droite.',
	'demo_options_ajaxurl' => 'ajaxURL',
	'demo_options_ajaxurlt' => 'json',
	'demo_options_ajaxurlr' => 'non',
	'demo_options_ajaxurldef' => ' ',
	'demo_options_ajaxurldes' => 'L’URL comprend quatre propriétés - parent, enfants, frères et sœurs, familles. Il s’agit d’un comportement sollicité : demandez la case parente, descendante et les cases frères et sœurs, la famille.',
	'demo_options_visible' => 'visibleLevel',
	'demo_options_visiblet' => 'Entier >0',
	'demo_options_visibler' => 'non',
	'demo_options_visibledef' => '999',
	'demo_options_visibledes' => 'Cette option indique le niveau hiérarchique auquel sera ouvert l’organigramme lors de son démarrage.',
	'demo_options_title' => 'nodeTitle',
	'demo_options_titlet' => 'Chaîne de caractères',
	'demo_options_titler' => 'non',
	'demo_options_titledef' => '"name"',
	'demo_options_titledes' => 'Cette option définit le titre (de l’ensemble des données) de l’organigramme. En fait, cette seule donnée peut définir l’organigramme.',
	'demo_options_symbol' => 'parentNodeSymbol',
	'demo_options_symbolt' => 'Chaîne de caractères',
	'demo_options_symbolr' => 'non',
	'demo_options_symboldef' => '"oci-leader"',
	'demo_options_symboldes' => 'Cette option vous permet de définir votre propre icône pour signifier que la case à des enfants. Par défaut ce sera une petit bonhomme blanc et plusieurs bonhommes lorsqu’il y a plusieurs enfants',
	'demo_options_cont' => 'nodeContent',
	'demo_options_contt' => 'Chaîne de caractères',
	'demo_options_contr' => 'non',
	'demo_options_contdef' => ' ',
	'demo_options_contdes' => 'Permet de définir un contenu textuel pour une case de l’organigramme.',
	'demo_options_id' => 'nodeId',
	'demo_options_idt' => 'Chaîne de caractère',
	'demo_options_idr' => 'non',
	'demo_options_iddef' => ' ',
	'demo_options_iddes' => 'Permet de définir un identifiant unique pour chaque case de l’organigramme.',
	'demo_options_relation' => 'relationshipValue',
	'demo_options_relationt' => 'Chaîne de caractères (0|1)',
	'demo_options_relationr' => 'non',
	'demo_options_relationdef' => ' ',
	'demo_options_relationdes' => 'relationshipValue est une chaîne de caractère composée de trois identifiant binaire (en "0" ou "1").',
	'demo_options_template' => 'nodeTemplate',
	'demo_options_templatet' => 'Fonction',
	'demo_options_templater' => 'non',
	'demo_options_templatedef' => ' ',
	'demo_options_templatedes' => 'Cette option permet d’activer une fonction permettant de personnaliser une case. La fonction ne reçoit qu’un seul paramètre: "data" (signifie json datasoure) qui sera utilisé pour retourner la case.',
	'demo_options_create' => 'createNode',
	'demo_options_createt' => 'Fonction',
	'demo_options_creater' => 'non',
	'demo_options_createdef' => ' ',
	'demo_options_createdes' => 'C’est une fonction de rappel utilisée pour personnaliser chaque nœud de l’organigramme. Il reçoit deux paramètres: "$ node" désignant en jquery l’objet placé dans une div et "data" qui est un flux de données json.',
	'demo_options_btn' => 'exportButton',
	'demo_options_btnt' => 'Booléen',
	'demo_options_btnr' => 'non',
	'demo_options_btndef' => 'faux',
	'demo_options_btndes' => 'Cette option fait apparaître un bouton pour permettre l’exportation de l’organigramme. Le bouton apparaitra en haut à droite du conteneur. La balise BUTTON aura la class "oc-export-btn". Elle portera par défaut le nom "Export".',
	'demo_options_fn' => 'exportFilename',
	'demo_options_fnt' => 'Chaîne de caractères',
	'demo_options_fnr' => 'non',
	'demo_options_fndef' => '"Orgchart"',
	'demo_options_fndes' => 'Nom de la sauvegarde de l’organigramme lors de son exportation.',
	'demo_options_ext' => 'exportFileextension',
	'demo_options_extt' => 'Chaîne de caractères',
	'demo_options_extr' => 'non',
	'demo_options_extdef' => '"png"',
	'demo_options_extdes' => 'Format de l’exportation de l’organigramme, indiqué sous la forme de son extension. Valeurs possibles : png et pdf. ** Attention **: cette option demande, quelque soit le format sollicité, d’ajouter le plugin jquery <a href="https://html2canvas.hertzen.com">html2canvas</a>.',
	'demo_options_class' => 'chartClass',
	'demo_options_classt' => 'Chaîne de caractères',
	'demo_options_classr' => 'non',
	'demo_options_classdef' => '""',
	'demo_options_classdes' => 'Lorsque vous voulez instancier plusieurs organigrammes sur une seule page, vous devez leur ajouter un nom de classe différent afin de les distinguer. La div conteneur portera alors la class "orgchart" suivie de votre "chartClass" et peut être suivie du positionnement souhaité (par exemple l2r).',
	'demo_options_classcase' => 'className',
	'demo_options_classcaset' => 'Chaîne de caractères',
	'demo_options_classcaser' => 'non',
	'demo_options_classcasedef' => '""',
	'demo_options_classcasedes' => 'Permet de définir un style pour une case (ou une famille de cases) de l’organigramme. C’est une solution, par exemple, pour donner une couleur différente à la case.',
	'demo_options_drag' => 'draggable',
	'demo_options_dragt' => 'Booléen',
	'demo_options_dragr' => 'non',
	'demo_options_dragdef' => 'faux',
	'demo_options_dragdes' => 'Les utilisateurs peuvent glisser-déposer les cases de l’organigramme si cette option est activée. ** Remarque **: cette fonctionnalité ne fonctionne pas sur IE en raison de sa mauvaise prise en charge de l’API glisser-déposer HTML5.',
	'demo_options_drop' => 'dropCriteria',
	'demo_options_dropt' => 'Fonction',
	'demo_options_dropr' => 'non',
	'demo_options_dropdef' => ' ',
	'demo_options_dropdes' => 'Les utilisateurs peuvent construire leurs propres critères pour limiter les relations entre la case glissé et la zone de dépôt. Pour ce faire, cette fonction accepte trois arguments (draggedNode, dragZone, dropZone) et renvoie des valeurs de type Booléen.',
	'demo_options_init' => 'initCompleted',
	'demo_options_initt' => 'Fonction',
	'demo_options_initr' => 'non',
	'demo_options_initdef' => ' ',
	'demo_options_initdes' => 'Il peut souvent être utile de savoir quand votre table a été entièrement initialisée, chargée et que les données sont disponibles, en particulier dans le cadre d’un contexte ajax. La fonction reçoit un paramètre: "$ chart" : objet jquery relatif à l’initialisation de l’organigramme.',
	
 );

?>